Bug 32867 - Upgrade request Handbrake
Summary: Upgrade request Handbrake
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 9
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL: https://github.com/HandBrake/HandBrake
Whiteboard: MGA9-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2024-02-18 12:32 CET by Holger Mainz
Modified: 2024-03-05 01:26 CET (History)
7 users (show)

See Also:
Source RPM: handbrake-1.6.0-1.mga9.tainted
CVE:
Status comment:


Attachments

Description Holger Mainz 2024-02-18 12:32:30 CET
The Handbrake Version 1.6. has a bug. Subtitles sometimes appear on the double. An upgrade to 1.7. would lift the problem ( Handbrake staff )
Comment 1 Morgan Leijström 2024-02-18 19:55:25 CET
Thank you for the heads up Holger

Upstream is at 1.7.3

BTW I see it is available as flatpak, if any user need it urgently.

Assigning to you Chris as i see you packaged it last
Feel free to reassign to nobody if you do not take it :)

I see they for every release - even point releases say: "Please also make note of any custom presets you have created, as they may not be compatible with newer versions."  https://handbrake.fr/news.php

Anyway it is better to upgrade within a supported Mageia release, than between Mageia releasees, so user can downgrade easily IF they see this problem. 

@Holger, please test when there is a new version in testing

URL: (none) => https://github.com/HandBrake/HandBrake
Assignee: bugsquad => eatdirt
Source RPM: (none) => handbrake-1.6.0-1.mga9.tainted
CC: (none) => fri

Comment 2 Holger Mainz 2024-02-25 16:18:06 CET
Sure, i will test  it, when it is up !
Comment 3 David GEIGER 2024-02-25 21:29:21 CET
Updated to latest handbrake-1.7.3 for Cauldron!

CC: (none) => geiger.david68210

Comment 4 David GEIGER 2024-02-26 06:07:09 CET
Assigning to QA,

Packages in 9/Tainted/Updates_testing:
=======================
handbrake-1.7.3-1.mga9.tainted

From SRPMS:
handbrake-1.7.3-1.mga9.tainted.src.rpm

Assignee: eatdirt => qa-bugs

Comment 5 Len Lawrence 2024-02-26 15:56:34 CET
mga9, x64
Installed the update and used it to convert an mkv file to mp4.
Cut a section out of an mp4 file based on frames and played it back.
Repeated the operation for another file based on seconds.  Audio and video OK.

Good as far as I have taken it.

CC: (none) => tarazed25

Comment 6 Thomas Andrews 2024-02-26 16:39:28 CET
MGA9-64 Plasma

Updated over the old version, with no installation issues. Ran it my usual way, by using the "open with" option on a file (happened to be .mkv) in Dolphin. 

Checking, I found that the presets I created a year ago were still there, and apparently usable. I customized the settings for quality and resolution somewhat, as well as dropping the subtitle track, in an effort to reduce file size. Both source and result were encoded using the H.264 codec.

The resulting .mp4 had reduced the file size from 159.6 MiB to 109.0. Watching each in vlc, the reduction in quality was visible, but only because I was looking for it. 

(That may be just me. I'm fine with SD quality, as long as it isn't obviously blocky. Others aren't satisfied with anything less than HD, if that. It's a matter of opinion, so YMMV.)

Looks good here.

CC: (none) => andrewsfarm

Comment 7 Thomas Andrews 2024-02-26 16:43:56 CET
(In reply to Holger  Mainz from comment #2)
> Sure, i will test  it, when it is up !

Should be in the tainted updates testing repo of your favorite mirror very soon, if not already.
Comment 8 Herman Viaene 2024-02-26 17:26:55 CET
MGA9-64 Plasma Wayland on HP-Pavillion
No installation issues.
Used handbrake to convert a 1.7Gb mpg file to mp4. No problems encountered and resulting mp4 file plays OK.

CC: (none) => herman.viaene
Whiteboard: (none) => MGA9-64-OK

katnatek 2024-02-26 23:10:05 CET

Keywords: (none) => advisory

Comment 9 Morgan Leijström 2024-02-26 23:25:02 CET
mga9-64 OK here
Plasma X11, intel i7-870, nvidia-newfeature

Opened program with file by in Dolphin right clicking an .mp4

Tested compressing of a couple mp4 videos.

Started in terminal ("ghb"), no output when starting nor running,
which i think is good.

$ ghb --help
shows help.
Comment 10 Holger Mainz 2024-02-27 10:29:51 CET
OK, thank you. I have it. But i want to test the program with the file, where the subtitles did not fit. Unfortunately, i have to download it again , first ;-( ;-)
Comment 11 Ben McMonagle 2024-02-28 01:09:33 CET
installed the testing version (handbrake-1.7.3-1.mga9.tainted)

converted a 2 minute .mkv to mp4.
video and audio via VLC ok  

CPU: AMD E1-6010 APU with AMD Radeon R2 Graphics

$ uname -a
Linux localhost 6.6.17-desktop-4.mga9

CC: (none) => westel

Comment 12 katnatek 2024-03-04 19:26:58 CET
(In reply to Holger  Mainz from comment #10)
> OK, thank you. I have it. But i want to test the program with the file,
> where the subtitles did not fit. Unfortunately, i have to download it again
> , first ;-( ;-)

What happened with this?, we are just waiting your confirmation
Comment 13 Holger Mainz 2024-03-05 00:55:25 CET
I had deleted the file.

From my point of view, i can give it a pass. The duplicated subtitle problem is solved with the update.
Comment 14 Thomas Andrews 2024-03-05 01:14:32 CET
Validating.

CC: (none) => sysadmin-bugs
Keywords: (none) => validated_update

Comment 15 Mageia Robot 2024-03-05 01:26:25 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2024-0094.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.